import { MessagingTypes, ComponentName, MessagingProps } from './types';
export declare const Wrapper: import('styled-components').StyledComponent<"div", any, {
    variant: MessagingTypes;
    componentName: ComponentName;
}, never>;
export declare const Actions: import('styled-components').StyledComponent<"div", any, Pick<MessagingProps, "showClose" | "compact">, never>;
export declare const Container: import('styled-components').StyledComponent<"div", any, {
    compact?: boolean | undefined;
}, never>;
export declare const IconWrapper: import('styled-components').StyledComponent<"div", any, {}, never>;
export declare const CloseIcon: import('styled-components').StyledComponent<"div", any, {
    compact: boolean | undefined;
}, never>;
export declare const Title: import('styled-components').StyledComponent<"h4", any, {}, never>;
export declare const Content: import('styled-components').StyledComponent<"div", any, {}, never>;
